Senderverification 6 endpoints

GET /verified_senders/domains

This endpoint returns a list of domains known to implement DMARC and categorizes them by failure type — hard failure or soft failure.

Domains listed as hard failures will not deliver mail when used as a Sender Identity due to the domain’s DMARC policy settings.

For example, using a yahoo.com email address as a Sender Identity will likely result in the rejection of your mail. For more information about DMARC, see Everything about DMARC.

operationId: SenderVerification_listDomainWarn

Responses

200
401
403
404
500
GET /verified_senders/domains
POST /verified_senders/resend/{id}

This endpoint allows you to resend a verification email to a specified Sender Identity.

Passing the id assigned to a Sender Identity to this endpoint will resend a verification email to the from_address associated with the Sender Identity. This can be useful if someone loses their verification email or needs to have it resent for any other reason.

You can retrieve the IDs associated with Sender Identities by passing a “Get All Verified Senders” endpoint.

operationId: SenderVerification_resendVerificationEmail

Parameters

Name In Required Type Description
id path required string

Responses

204
400
401
403
404
500
POST /verified_senders/resend/{id}
GET /verified_senders/steps_completed

This endpoint allows you to determine which of SendGrid’s verification processes have been completed for an account.

This endpoint returns boolean values, true and false, for Domain Authentication, domain_verified, and Single Sender Verification, sender_verified, for the account.

An account may have one, both, or neither verification steps completed. If you need to authenticate a domain rather than a Single Sender, see the “Authenticate a domain” endpoint.

operationId: SenderVerification_determineVerificationStatus

Responses

200
401
403
404
500
GET /verified_senders/steps_completed
GET /verified_senders/verify/{token}

This endpoint allows you to verify a sender requests.

The token is generated by SendGrid and included in a verification email delivered to the address that’s pending verification.

operationId: SenderVerification_requestVerificationToken

Parameters

Name In Required Type Description
token path required string

Responses

204
401
403
404
500
GET /verified_senders/verify/{token}
DELETE /verified_senders/{id}

This endpoint allows you to delete a Sender Identity.

Pass the id assigned to a Sender Identity to this endpoint to delete the Sender Identity from your account.

You can retrieve the IDs associated with Sender Identities using the “Get All Verified Senders” endpoint.

operationId: SenderVerification_deleteVerifiedSender

Parameters

Name In Required Type Description
id path required string

Responses

204
401
403
404
500
DELETE /verified_senders/{id}
PATCH /verified_senders/{id}

This endpoint allows you to update an existing Sender Identity.

Pass the id assigned to a Sender Identity to this endpoint as a path parameter. Include any fields you wish to update in the request body in JSON format.

You can retrieve the IDs associated with Sender Identities by passing a GET request to the Get All Verified Senders endpoint, /verified_senders.

Note: Unlike a PUT request, PATCH allows you to update only the fields you wish to edit. Fields that are not passed as part of a request will remain unaltered.

operationId: SenderVerification_updateSenderIdentity

Parameters

Name In Required Type Description
id path required string

Request Body

application/json
schema verified-sender-request-schema
Property Type Required
zip string optional
city string optional
state string optional
address string optional
country string optional
address2 string optional
nickname string required
reply_to string required
from_name string optional
from_email string required
reply_to_name string optional

Responses

200
400
401
403
404
500
PATCH /verified_senders/{id}

Senders 1 endpoints

POST /marketing/senders

This endpoint allows you to create a new sender identity.

You may create up to 100 unique sender identities.

Sender identities are required to be verified before use. If your domain has been authenticated, a new sender identity will auto verify on creation. Otherwise an email will be sent to the from.email.

operationId: Senders_createIdentity

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema SendersCreateIdentityRequest
Property Type Required
zip string optional
city string required
from object required
name string required
email string required
state string optional
address string required
country string required
nickname string required
reply_to object optional
name string optional
email string required
address_2 string optional

Responses

201
401
403
404
500
POST /marketing/senders

Settingsenforcedtls 2 endpoints

GET /user/settings/enforced_tls

This endpoint allows you to retrieve your current Enforced TLS settings.

The Enforced TLS settings specify whether or not the recipient is required to support TLS or have a valid certificate.

If either require_tls or require_valid_cert is set to true, the recipient must support TLS 1.1 or higher or have a valid certificate. If these conditions are not met, Twilio SendGrid will drop the message and send a block event with “TLS required but not supported” as the description.

operationId: SettingsEnforcedTls_getCurrentEnforcedTlsSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
401
403
404
500
GET /user/settings/enforced_tls
PATCH /user/settings/enforced_tls

This endpoint allows you to update your Enforced TLS settings.

To require TLS from recipients, set require_tls to true. If either require_tls or require_valid_cert is set to true, the recipient must support TLS 1.1 or higher or have a valid certificate. If these conditions are not met, Twilio SendGrid will drop the message and send a block event with “TLS required but not supported” as the description.

Twilio SendGrid supports TLS 1.1 and higher and does not support older versions of TLS due to security vulnerabilities.

operationId: SettingsEnforcedTls_updateEnforcedTlsSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema enforced-tls-request-response
Property Type Required
require_tls boolean optional
require_valid_cert boolean optional

Responses

200
401
403
404
500
PATCH /user/settings/enforced_tls

Settingsinboundparse 4 endpoints

POST /user/webhooks/parse/settings

This endpoint allows you to create a new inbound parse setting.

Creating an Inbound Parse setting requires two pieces of information: a url and a hostname.

The hostname must correspond to a domain authenticated by Twilio SendGrid on your account. If you need to complete domain authentication, you can use the Twilio SendGrid App or the “Authenticate a domain” endpoint. See “How to Set Up Domain Authentication” for instructions.

Any email received by the hostname will be parsed when you complete this setup. You must also add a Twilio SendGrid MX record to this domain’s DNS records. See “Setting up the Inbound Parse Webhook” for full instructions.

The url represents a location where the parsed message data will be delivered. Twilio SendGrid will make an HTTP POST request to this url with the message data. The url must be publicly reachable, and your application must return a 200 status code to signal that the message data has been received.

operationId: SettingsInboundParse_createSetting

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema parse-setting
Property Type Required
url string optional
hostname string optional
send_raw boolean optional
spam_check boolean optional

Responses

201
401
403
404
500
POST /user/webhooks/parse/settings
DELETE /user/webhooks/parse/settings/{hostname}

This endpoint allows you to delete a specific inbound parse setting by hostname.

You can retrieve all your Inbound Parse settings and their associated host names with the “Retrieve all parse settings” endpoint.

operationId: SettingsInboundParse_deleteSettingByHostname

Parameters

Name In Required Type Description
hostname path required string

The hostname associated with the inbound parse setting that you would like to retrieve.

on-behalf-of header optional string

Responses

204
401
403
404
500
DELETE /user/webhooks/parse/settings/{hostname}
GET /user/webhooks/parse/settings/{hostname}

This endpoint allows you to retrieve a specific inbound parse setting by hostname.

You can retrieve all your Inbound Parse settings and their associated host names with the “Retrieve all parse settings” endpoint.

operationId: SettingsInboundParse_getSpecificParseSettingByHostname

Parameters

Name In Required Type Description
hostname path required string

The hostname associated with the inbound parse setting that you would like to retrieve.

on-behalf-of header optional string

Responses

200
401
403
404
500
GET /user/webhooks/parse/settings/{hostname}
PATCH /user/webhooks/parse/settings/{hostname}

This endpoint allows you to update a specific inbound parse setting by hostname.

You can retrieve all your Inbound Parse settings and their associated host names with the “Retrieve all parse settings” endpoint.

operationId: SettingsInboundParse_updateHostnameSetting

Parameters

Name In Required Type Description
hostname path required string

The hostname associated with the inbound parse setting that you would like to retrieve.

on-behalf-of header optional string

Request Body

application/json
schema parse-setting
Property Type Required
url string optional
hostname string optional
send_raw boolean optional
spam_check boolean optional

Responses

200
401
403
404
500
PATCH /user/webhooks/parse/settings/{hostname}

Settingsmail 13 endpoints

GET /mail_settings

This endpoint allows you to retrieve a list of all mail settings.

Each setting will be returned with an enabled status set to true or false and a short description that explains what the setting does.

operationId: SettingsMail_getAllMailSettings

Parameters

Name In Required Type Description
limit query optional integer

The number of settings to return.

offset query optional integer

Where in the list of results to begin displaying settings.

on-behalf-of header optional string

Responses

200
400
401
403
404
500
GET /mail_settings
GET /mail_settings/address_whitelist

This endpoint allows you to retrieve your current email address whitelist settings.

The Address Whitelist setting allows you to specify email addresses or domains for which mail should never be suppressed.

For example, if you own the domain example.com, and one or more of your recipients use email@example.com addresses, placing example.com in the address whitelist setting instructs Twilio SendGrid to ignore all bounces, blocks, and unsubscribes logged for that domain. In other words, all bounces, blocks, and unsubscribes will still be sent to example.com as if they were sent under normal sending conditions.

operationId: SettingsMail_getAddressWhitelistMailSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
400
401
403
404
500
GET /mail_settings/address_whitelist
PATCH /mail_settings/address_whitelist

This endpoint allows you to update your current email address whitelist settings.

You can select whether or not this setting should be enabled by assigning the enabled field a true or false value.

Passing only the enabled field to this endpoint will not alter your current list of whitelist entries. However, any modifications to your list of entries will overwrite the entire list. For this reason, you must included all existing entries you wish to retain in your list in addition to any new entries you intend to add. To remove one or more list entries, pass a list with only the entries you wish to retain.

You should not add generic domains such as gmail.com or yahoo.com in your list because your emails will not honor recipients’ unsubscribes. This may cause a legal violation of CAN-SPAM and could damage your sending reputation.

The Address Whitelist setting allows you to specify email addresses or domains for which mail should never be suppressed.

For example, if you own the domain example.com, and one or more of your recipients use email@example.com addresses, placing example.com in the address whitelist setting instructs Twilio SendGrid to ignore all bounces, blocks, and unsubscribes logged for that domain. In other words, all bounces, blocks, and unsubscribes will still be sent to example.com as if they were sent under normal sending conditions.

operationId: SettingsMail_updateAddressWhitelistMailSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema SettingsMailUpdateAddressWhitelistMailSettingsRequest
Property Type Required
list array optional
enabled boolean optional

Responses

200
400
401
403
404
500
PATCH /mail_settings/address_whitelist
GET /mail_settings/bounce_purge

This endpoint allows you to retrieve your current bounce and purge settings.

The Bounce Perge setting allows you to set a schedule that Twilio SendGrid will use to automatically delete contacts from your soft and hard bounce suppression lists.

A hard bounce occurs when an email message has been returned to the sender because the recipient’s address is invalid. A hard bounce might occur because the domain name doesn’t exist or because the recipient is unknown.

A soft bounce occurs when an email message reaches the recipient’s mail server but is bounced back undelivered before it actually reaches the recipient. A soft bounce might occur because the recipient’s inbox is full.

You can also manage this setting in the Mail Settings section of the Twilio SendGrid App. You can manage your bounces manually using the Bounces API or the Bounces menu in the Twilio SendGrid App.

operationId: SettingsMail_getBouncePurgeSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
400
401
403
404
500
GET /mail_settings/bounce_purge
PATCH /mail_settings/bounce_purge

This endpoint allows you to update your current bounce and purge settings.

The Bounce Perge setting allows you to set a schedule that Twilio SendGrid will use to automatically delete contacts from your soft and hard bounce suppression lists. The schedule is set in full days by assigning the number of days, an integer, to the soft_bounces and/or hard_bounces fields.

A hard bounce occurs when an email message has been returned to the sender because the recipient’s address is invalid. A hard bounce might occur because the domain name doesn’t exist or because the recipient is unknown.

A soft bounce occurs when an email message reaches the recipient’s mail server but is bounced back undelivered before it actually reaches the recipient. A soft bounce might occur because the recipient’s inbox is full.

You can also manage this setting in the Mail Settings section of the Twilio SendGrid App. You can manage your bounces manually using the Bounces API or the Bounces menu in the Twilio SendGrid App.

operationId: SettingsMail_updateBouncePurgeSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema mail_settings_bounce_purge
Property Type Required
enabled boolean optional
hard_bounces integer optional
soft_bounces integer optional

Responses

200
400
401
403
404
500
PATCH /mail_settings/bounce_purge
GET /mail_settings/footer

This endpoint allows you to retrieve your current Footer mail settings.

The Footer setting will insert a custom footer at the bottom of your text and HTML email message bodies.

You can insert your HTML or plain text directly using the “Update footer mail settings” endpoint, or you can create the footer using the Mail Settings menu in the Twilio SendGrid App.

operationId: SettingsMail_getFooterMailSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
400
401
403
404
500
GET /mail_settings/footer
PATCH /mail_settings/footer

This endpoint allows you to update your current Footer mail settings.

The Footer setting will insert a custom footer at the bottom of your text and HTML email message bodies.

You can insert your HTML or plain text directly using this endpoint, or you can create the footer using the Mail Settings menu in the Twilio SendGrid App.

operationId: SettingsMail_updateFooterMailSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema mail_settings_footer
Property Type Required
enabled boolean optional
html_content string optional
plain_content string optional

Responses

200
400
401
403
404
500
PATCH /mail_settings/footer
GET /mail_settings/forward_bounce

This endpoint allows you to retrieve your current bounce forwarding mail settings.

Enabling the Forward Bounce setting allows you to specify email addresses to which bounce reports will be forwarded. This endpoint returns the email address you have set to receive forwarded bounces and an enabled status indicating if the setting is active.

operationId: SettingsMail_getForwardBounceMailSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
400
401
403
404
500
GET /mail_settings/forward_bounce
PATCH /mail_settings/forward_bounce

This endpoint allows you to update your current bounce forwarding mail settings.

Enabling the Forward Bounce setting allows you to specify an email address to which bounce reports will be forwarded.

You can also configure the Forward Spam mail settings in the Mail Settings section of the Twilio SendGrid App.

operationId: SettingsMail_updateForwardBounceSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema mail_settings_forward_bounce
Property Type Required
email string optional
enabled boolean optional

Responses

200
400
401
403
404
500
PATCH /mail_settings/forward_bounce
GET /mail_settings/forward_spam

This endpoint allows you to retrieve your current Forward Spam mail settings.

Enabling the Forward Spam setting allows you to specify email addresses to which spam reports will be forwarded. This endpoint returns any email address(es) you have set to receive forwarded spam and an enabled status indicating if the setting is active.

operationId: SettingsMail_getForwardSpamMailSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
400
401
403
404
500
GET /mail_settings/forward_spam
PATCH /mail_settings/forward_spam

This endpoint allows you to update your current Forward Spam mail settings.

Enabling the Forward Spam setting allows you to specify email addresses to which spam reports will be forwarded. You can set multiple addresses by passing this endpoint a comma separated list of emails in a single string.

{
  "email": "address1@example.com, address2@exapmle.com",
  "enabled": true
}

The Forward Spam setting may also be used to receive emails sent to abuse@ and postmaster@ role addresses if you have authenticated your domain.

For example, if you authenticated example.com as your root domain and set a custom return path of sub for that domain, you could turn on Forward Spam, and any emails sent to abuse@sub.example.com or postmaster@sub.example.com would be forwarded to the email address you entered in the email field.

You can authenticate your domain using the “Authenticate a domain” endpoint or in the Sender Authentication section of the Twilio SendGrid App. You can also configure the Forward Spam mail settings in the Mail Settings section of the Twilio SendGrid App.

operationId: SettingsMail_updateForwardSpamSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema mail_settings_forward_spam
Property Type Required
email string optional
enabled boolean optional

Responses

200
400
401
403
404
500
PATCH /mail_settings/forward_spam
GET /mail_settings/template

This endpoint allows you to retrieve your current legacy email template settings.

This setting refers to our original email templates. We currently support more fully featured Dynamic Transactional Templates.

The legacy email template setting wraps an HTML template around your email content. This can be useful for sending out marketing email and/or other HTML formatted messages. For instructions on using legacy templates, see how to “Create and Edit Legacy Transactional Templates. For help migrating to our current template system, see “Migrating from Legacy Templates”.

operationId: SettingsMail_getLegacyTemplateSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
400
401
403
404
500
GET /mail_settings/template
PATCH /mail_settings/template

This endpoint allows you to update your current legacy email template settings.

This setting refers to our original email templates. We currently support more fully featured Dynamic Transactional Templates.

The legacy email template setting wraps an HTML template around your email content. This can be useful for sending out marketing email and/or other HTML formatted messages. For instructions on using legacy templates, see how to “Create and Edit Legacy Transactional Templates. For help migrating to our current template system, see “Migrating from Legacy Templates”.

operationId: SettingsMail_updateLegacyTemplateSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema SettingsMailUpdateLegacyTemplateSettingsRequest
Property Type Required
enabled boolean optional
html_content string optional

Responses

200
400
401
403
404
500
PATCH /mail_settings/template

Settingspartner 3 endpoints

GET /partner_settings

This endpoint allows you to retrieve a list of all partner settings that you can enable.

Our partner settings allow you to integrate your SendGrid account with our partners to increase your SendGrid experience and functionality. For more information about our partners, and how you can begin integrating with them, please visit our Partners documentation.

operationId: SettingsPartner_listPartnerSettings

Parameters

Name In Required Type Description
limit query optional integer

The number of settings to return per page.

offset query optional integer

The paging offset.

on-behalf-of header optional string

Responses

200
GET /partner_settings
GET /partner_settings/new_relic

This endpoint allows you to retrieve your current New Relic partner settings.

Our partner settings allow you to integrate your SendGrid account with our partners to increase your SendGrid experience and functionality. For more information about our partners, and how you can begin integrating with them, please visit our Partners documentation.

By integrating with New Relic, you can send your SendGrid email statistics to your New Relic Dashboard. If you enable this setting, your stats will be sent to New Relic every 5 minutes. You will need your New Relic License Key to enable this setting. For more information, please see our SendGrid for New Relic documentation.

operationId: SettingsPartner_getAllNewRelicPartnerSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
GET /partner_settings/new_relic
PATCH /partner_settings/new_relic

This endpoint allows you to update or change your New Relic partner settings.

Our partner settings allow you to integrate your SendGrid account with our partners to increase your SendGrid experience and functionality. For more information about our partners, and how you can begin integrating with them, please visit our Partners documentation.

By integrating with New Relic, you can send your SendGrid email statistics to your New Relic Dashboard. If you enable this setting, your stats will be sent to New Relic every 5 minutes. You will need your New Relic License Key to enable this setting. For more information, please see our SendGrid for New Relic documentation.

operationId: SettingsPartner_updateNewRelicPartnerSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema SettingsPartnerUpdateNewRelicPartnerSettingsRequest
Property Type Required
enabled boolean optional
license_key string optional
enable_subuser_statistics boolean optional

Responses

200
PATCH /partner_settings/new_relic

Settingstracking 9 endpoints

GET /tracking_settings

This endpoint allows you to retrieve a list of all tracking settings on your account.

operationId: SettingsTracking_getAllTracking

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
GET /tracking_settings
GET /tracking_settings/click

This endpoint allows you to retrieve your current click tracking setting.

Click Tracking overrides all the links and URLs in your emails and points them to either SendGrid’s servers or the domain with which you branded your link. When a customer clicks a link, SendGrid tracks those clicks.

Click tracking helps you understand how users are engaging with your communications. SendGrid can track up to 1000 links per email

operationId: SettingsTracking_getClickTrackingSetting

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
GET /tracking_settings/click
PATCH /tracking_settings/click

This endpoint allows you to enable or disable your current click tracking setting.

Click Tracking overrides all the links and URLs in your emails and points them to either SendGrid’s servers or the domain with which you branded your link. When a customer clicks a link, SendGrid tracks those clicks.

Click tracking helps you understand how users are engaging with your communications. SendGrid can track up to 1000 links per email

operationId: SettingsTracking_updateClickTrackingSetting

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema SettingsTrackingUpdateClickTrackingSettingRequest
Property Type Required
enabled boolean optional

Responses

200
PATCH /tracking_settings/click
GET /tracking_settings/google_analytics

This endpoint allows you to retrieve your current setting for Google Analytics.

Google Analytics helps you understand how users got to your site and what they’re doing there. For more information about using Google Analytics, please refer to Google’s URL Builder and their article on “Best Practices for Campaign Building”.

We default the settings to Google’s recommendations. For more information, see Google Analytics Demystified.

operationId: SettingsTracking_getGoogleAnalyticsSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
GET /tracking_settings/google_analytics
PATCH /tracking_settings/google_analytics

This endpoint allows you to update your current setting for Google Analytics.

Google Analytics helps you understand how users got to your site and what they’re doing there. For more information about using Google Analytics, please refer to Google’s URL Builder and their article on “Best Practices for Campaign Building”.

We default the settings to Google’s recommendations. For more information, see Google Analytics Demystified.

operationId: SettingsTracking_updateGoogleAnalyticsSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema google_analytics_settings
Property Type Required
enabled boolean optional
utm_term string optional
utm_medium string optional
utm_source string optional
utm_content string optional
utm_campaign string optional

Responses

200
PATCH /tracking_settings/google_analytics
GET /tracking_settings/open

This endpoint allows you to retrieve your current settings for open tracking.

Open Tracking adds an invisible image at the end of the email which can track email opens.

If the email recipient has images enabled on their email client, a request to SendGrid’s server for the invisible image is executed and an open event is logged.

These events are logged in the Statistics portal, Email Activity interface, and are reported by the Event Webhook.

operationId: SettingsTracking_getOpenSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
GET /tracking_settings/open
PATCH /tracking_settings/open

This endpoint allows you to update your current settings for open tracking.

Open Tracking adds an invisible image at the end of the email which can track email opens.

If the email recipient has images enabled on their email client, a request to SendGrid’s server for the invisible image is executed and an open event is logged.

These events are logged in the Statistics portal, Email Activity interface, and are reported by the Event Webhook.

operationId: SettingsTracking_updateOpenTrackingSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema SettingsTrackingUpdateOpenTrackingSettingsRequest
Property Type Required
enabled boolean optional

Responses

200
PATCH /tracking_settings/open
GET /tracking_settings/subscription

This endpoint allows you to retrieve your current settings for subscription tracking.

Subscription tracking adds links to the bottom of your emails that allows your recipients to subscribe to, or unsubscribe from, your emails.

operationId: SettingsTracking_getSubscriptionTrackingSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
GET /tracking_settings/subscription
PATCH /tracking_settings/subscription

This endpoint allows you to update your current settings for subscription tracking.

Subscription tracking adds links to the bottom of your emails that allows your recipients to subscribe to, or unsubscribe from, your emails.

operationId: SettingsTracking_updateSubscriptionTrackingSettings

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema subscription_tracking_settings
Property Type Required
url string optional
enabled boolean optional
landing string optional
replace string optional
html_content string optional
plain_content string optional

Responses

200
PATCH /tracking_settings/subscription

Singlesends 11 endpoints

DELETE /marketing/singlesends

This endpoint allows you to delete multiple Single Sends using an array of Single Sends IDs.

To first retrieve all your Single Sends’ IDs, you can make a GET request to the /marketing/singlensends endpoint.

Please note that a DELETE request is permanent, and your Single Sends will not be recoverable after deletion.

operationId: SingleSends_bulkDelete

Parameters

Name In Required Type Description
ids query optional array

Single Send IDs to delete

Responses

204
404
500
DELETE /marketing/singlesends
GET /marketing/singlesends

This endpoint allows you to retrieve all your Single Sends.

Returns all of your Single Sends with condensed details about each, including the Single Sends’ IDs. For more details about an individual Single Send, pass the Single Send’s ID to the /marketing/singlesends/{id} endpoint.

operationId: SingleSends_getAllSinglesends

Parameters

Name In Required Type Description
page_size query optional integer
page_token query optional string

Responses

200
500
GET /marketing/singlesends
POST /marketing/singlesends

This endpoint allows you to create a new Single Send.

Please note that if you are migrating from the previous version of Single Sends, you no longer need to pass a template ID with your request to this endpoint. Instead, you will pass all template data in the email_config object.

operationId: SingleSends_createNewSingleSend

Request Body

application/json
schema singlesend_request
Property Type Required
name string required
send_at string optional
send_to object optional
all boolean optional
list_ids array optional
segment_ids array optional
categories array optional
email_config object optional
editor string optional
ip_pool string optional
subject string optional
design_id string optional
sender_id integer optional
html_content string optional
plain_content string optional
suppression_group_id integer optional
custom_unsubscribe_url string optional
generate_plain_content boolean optional

Responses

201
400
500
POST /marketing/singlesends
GET /marketing/singlesends/categories

This endpoint allows you to retrieve all the categories associated with your Single Sends.

This endpoint will return your latest 1,000 categories.

operationId: SingleSends_getAllCategories

Responses

200
500
GET /marketing/singlesends/categories
POST /marketing/singlesends/search

This endpoint allows you to search for Single Sends based on specified criteria.

You can search for Single Sends by passing a combination of values using the name, status, and categories request body fields.

For example, if you want to search for all Single Sends that are “drafts” or “scheduled” and also associated with the category “shoes,” your request body may look like the example below.

{
  "status": [
    "draft",
    "scheduled"
  ],
  "categories": [
    "shoes"
  ],
}
operationId: SingleSends_searchByCriteria

Parameters

Name In Required Type Description
page_size query optional integer
page_token query optional string

Request Body

application/json
schema singlesend_search
Property Type Required
name string optional
status array optional
categories array optional

Responses

200
404
POST /marketing/singlesends/search
DELETE /marketing/singlesends/{id}

This endpoint allows you to delete one Single Send using a Single Send ID.

To first retrieve all your Single Sends’ IDs, you can make a GET request to the /marketing/singlensends endpoint.

Please note that a DELETE request is permanent, and your Single Send will not be recoverable after deletion.

operationId: SingleSends_deleteById

Parameters

Name In Required Type Description
id path required string

Responses

204
404
500
DELETE /marketing/singlesends/{id}
GET /marketing/singlesends/{id}

This endpoint allows you to retrieve details about one Single Send using a Single Send ID.

You can retrieve all of your Single Sends by making a GET request to the /marketing/singlesends endpoint.

operationId: SingleSends_getDetailsById

Parameters

Name In Required Type Description
id path required string

Responses

200
404
500
GET /marketing/singlesends/{id}
PATCH /marketing/singlesends/{id}

This endpoint allows you to update a Single Send using a Single Send ID.

You only need to pass the fields you want to update. Any blank/missing fields will remain unaltered.

operationId: SingleSends_updateById

Parameters

Name In Required Type Description
id path required string

Request Body

application/json
schema singlesend_request
Property Type Required
name string required
send_at string optional
send_to object optional
all boolean optional
list_ids array optional
segment_ids array optional
categories array optional
email_config object optional
editor string optional
ip_pool string optional
subject string optional
design_id string optional
sender_id integer optional
html_content string optional
plain_content string optional
suppression_group_id integer optional
custom_unsubscribe_url string optional
generate_plain_content boolean optional

Responses

202
400
404
500
PATCH /marketing/singlesends/{id}
POST /marketing/singlesends/{id}

This endpoint allows you to duplicate an existing Single Send using its Single Send ID.

Duplicating a Single Send is useful when you want to create a Single Send but don’t want to start from scratch. Once duplicated, you can update or edit the Single Send by making a PATCH request to the /marketing/singlesends/{id} endpoint.

If you leave the name field blank, your duplicate will be assigned the name of the Single Send it was copied from with the text “Copy of ” prepended to it. The name field length is limited to 100 characters, so the end of the new Single Send name, including “Copy of ”, will be trimmed if the name exceeds this limit.

operationId: SingleSends_duplicateSingleSend

Parameters

Name In Required Type Description
id path required string

Request Body

application/json
schema SingleSendsDuplicateSingleSendRequest
Property Type Required
name string optional

Responses

201
404
500
POST /marketing/singlesends/{id}
DELETE /marketing/singlesends/{id}/schedule

This endpoint allows you to cancel a scheduled Single Send using a Single Send ID.

Making a DELETE request to this endpoint will cancel the scheduled sending of a Single Send. The request will not delete the Single Send itself. Deleting a Single Send can be done by passing a DELETE request to /marketing/singlesends/{id}.

operationId: SingleSends_cancelScheduledSend

Parameters

Name In Required Type Description
id path required string

Responses

200
404
500
DELETE /marketing/singlesends/{id}/schedule
PUT /marketing/singlesends/{id}/schedule

This endpoint allows you to schedule a Single Send for future delivery using a Single Send ID.

To schedule a Single Send, you must pass a date string in ISO 8601 time format (yyyy-MM-ddTHH:mm:ssZ) using the required send_at field. For example, the ISO 8601 format for 9:00 AM UTC on May 6, 2020 would be 2020-05-06T09:00:00Z. You may also pass the string "now" to send the Single Send immediately.

operationId: SingleSends_schedulePut

Parameters

Name In Required Type Description
id path required string

Request Body

application/json
schema SingleSendsSchedulePutRequest
Property Type Required
send_at string required

Responses

201
404
500
PUT /marketing/singlesends/{id}/schedule

Singlesignonsettings 1 endpoints

GET /sso/integrations

This endpoint allows you to retrieve all SSO integrations tied to your Twilio SendGrid account.

The IDs returned by this endpoint can be used by the APIs additional endpoints to modify your SSO integrations.

operationId: SingleSignOnSettings_getAllSsoIntegrations

Parameters

Name In Required Type Description
si query optional boolean

If this parameter is set to true, the response will include the completed_integration field.

Responses

200
400
401
403
429
500
GET /sso/integrations
Load more endpoints